Skip to main content
POST
/
api
/
v1
/
verification
/
finalize-verification
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v1/verification/finalize-verification \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "template_id": "{your_trust_flow_id}",
  "verification_id": "{your_created_verification_id}"
}
'
{
  "message": "Verification finalized successfully",
  "verification": {
    "id": "78e22030-2bd4-44a3-b3b6-7c203278afc6",
    "user_id": 42,
    "company_id": 13,
    "template_id": 132,
    "status": 2,
    "verification_date": "2025-07-28 09:01:32",
    "verification_data": "[]",
    "created_at": null,
    "updated_at": null,
    "verification_started_at": "2025-07-28 09:01:32",
    "verification_ended_at": "2025-07-28 09:01:47",
    "time_to_verify": 0.15001010894775,
    "form_data_status": null,
    "is_processing": 0,
    "metadata": null,
    "profile_name": "N/A",
    "is_deleted": 0,
    "manual_status_update": 0
  },
  "missing_plans": [],
  "status": 2,
  "status_message": "REVIEW_NEEDED",
  "finalized": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json
Content-Type
string
default:application/json

Body

application/json
template_id
string
required

Identifier used to categorize or group requests for tracking or reporting.

verification_id
string
required

A unique ID used to identify your verification request.

Response

200 - application/json

Verification finalized successfully

message
string
verification
object
missing_plans
object[]
status
integer
status_message
string
finalized
boolean